//=============================================================================
//  Unified IO - C++ interface for industrial IO cards
//  Copyright (C) 2000, UAB "BBD SOFT" ( http://www.bbdsoft.com/ )
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
//  The author of this program may be contacted at developers@bbdsoft.com
//=============================================================================


#ifndef _AC28CARD_
#define _AC28CARD_

#ifndef _UNIIO_H
   #include "uniio.h"
#endif

#ifndef _OPTO22AC28BASE_
   #include "opto22ac28base.hpp"
#endif

//-----------------------------------------------------------------------------
namespace Uniio
{

class _Export_UNIIO AC28Card : public Opto22AC28Base
{
   typedef Opto22AC28Base Inherited;

public:

   AC28Card ( const unsigned inIOPort
            , const unsigned inResetPort
            , const bool inResetLeve
            );
   virtual ~AC28Card ();

protected:


private:
   AC28Card (AC28Card &);
   AC28Card & operator = (AC28Card &);


}; // end AC28Card class declaration

}; // end namespace

#endif